#include <sourcemod>

new m_iAccount;

new RoundStartMoney[MAXPLAYERS + 1],
	RoundEndMoney[MAXPLAYERS + 1];

public OnPluginStart() 
{
	m_iAccount = FindSendPropOffs("CCSPlayer", "m_iAccount");

	HookEvent("round_start", Event_OnRoundStart); 
	HookEvent("round_end", Event_OnRoundEnd);
	
	RegConsoleCmd("different", CallBack);
} 

public Event_OnRoundStart(Handle:event, const String:name[], bool:silent)
{
	GetMoneyPlayers(false);
}

public Event_OnRoundEnd(Handle:event, const String:name[], bool:silent)
{
	GetMoneyPlayers(true);
}

public Action:CallBack(client, args)
{
	PrintToConsole(client, "#	|	Name	|	RoundStartMoney	|	RoundEndMoney	|	Different");

	for (new i = 1; i <= MaxClients; i++)
	{
		if (IsClientInGame(i))
		{
			PrintToConsole(client, "%d.	%N	%d	%d	%d", i, i, RoundStartMoney[i], RoundEndMoney[i], RoundStartMoney[i] - RoundEndMoney[i]);
		}
	}
	return Plugin_Handled;
}

stock GetMoneyPlayers(bool:round_end = false)
{
	for (new i = 1; i <= MaxClients; i++)
	{
		if (IsClientInGame(i))
		{
			if (round_end)
			{
				RoundEndMoney[i] = GetEntData(i, m_iAccount, 4);
			}
			else
			{
				RoundStartMoney[i] = GetEntData(i, m_iAccount, 4);
			}
		}
	}
}